/*
 * AMD Custom Script
 * Version 2.1
 * Last Update by M.Y. @ 12:30 PM CST 09/03/2010
 */

cvAMDWebProperties = "amd.com,amd.jp,amd.de,amd.com.cn,amd.com.tw,amd.com.hk,amd.co.jp,amdtaiwan.com.tw,amd64.co.kr,amdathlon.com,amdlive.com,amdcompare.com,amd-firefly.com,amd.ru,ati.com,ati.de,ati.jp,accelerateresults.com,graphics-scout.com,marketbuilder3.com,atiplushp.com,atipluslenovo.com,atiplusdell.com,amd64.org,amd-unleash.com,amd-bilder.de,entertainmentsimplified.com,amdassets.com,x86-64.org,amdquizzes.com,amdrewards.com,atistickers.com,lookbeyond.de,amdinfo.co.kr,amdchannel.com.cn,amdlivestrong.com,amdmotorsports.com,amdprocycling.com,amdsports.com,amdadvantage.com,amdsurveys.com,amdtaiwan.com,amd-member.com,yasrebi.com";	// AMD Web Properties
cvSearchEngines = ".abcsok.,.alicesuche.,.alltheweb.,.altavista.,.anonymouse.,.aol.,.aolrecherche.,.aolsearch.,.aolsvc.,.ask.,.baidu.,.biglobe.,.bing.,.centrum.,.chip.,.clix.,.cuil.,.daum.,.eniro.,.euroseek.,.excite.,.fireball.,.goo.,.google.,.googlesyndication.,.icq.,.infoseek.,.ixquick.,.kvasir.,.libero.,.live.,.livedoor.,.lycos.,.mail.,.msn.,.myway.,.naver.,.netscape.,.nifty.,.rambler.,.recherche.,.recherchet2.,.search.,.searchalot.,.seznam.,.startpagina.,.suche.,.szukaj.,.terra.,.tiscali.,.toile.,.ucweb.,.uol.,.vinden.,.virgilio.,.walla.,.yahoo.,.yandex.";	// Recognized Omniture Search Engines
cvDownloadExtentions = "exe,zip,wav,mp3,wma,mov,mpg,avi,wmv,doc,pdf,xls,ppt,pps,csv,jpg,png,bmp,wmf,tif,docx,xlsx,pptx";	// File extensions to track as downloadable content

/* Set report suite ID dynamically based on domain */
function cfCheckRSID(cvURL) {
	var cvHostName = cfUtility(cvURL,'server');
	if (cvHostName == "www.amd.com" || cvHostName == "amd.com" || cvHostName == "www2.amd.com") {
		if (cvURL.indexOf("/embedded/") != -1) {
			ReportSuiteID = "amdvembedded,amdvcom,amdvglobal";
		} else {
			ReportSuiteID = "amdvcom,amdvglobal";
		}
	} else if (cvHostName == "wwwd.amd.com") {
		ReportSuiteID = "amdvembedded,amdvglobal";
	} else if (cvHostName == "game.amd.com") {
		ReportSuiteID = "amdvgame,amdvsites,amdvglobal";
	} else if (cvHostName == "fpp.amd.com") {
		ReportSuiteID = "amdvchannel,amdvglobal";
	} else if (cvHostName == "support.amd.com") {
		ReportSuiteID = "amdvsupport,amdvglobal";
	} else if (cvHostName == "fpp.amd.com") {
		ReportSuiteID = "amdvchannel,amdvglobal";
	} else if (cvHostName == "registration.amd.com") {
		ReportSuiteID = "amdvchannel,amdvglobal";
	} else if (cvHostName == "onlineservices.amd.com") {
		if (cvURL.indexOf("/icss/") != -1) {
			ReportSuiteID = "amdvsupport,amdvglobal";
		}
	} else if (cvHostName == "sites.amd.com") {
		if (cvURL.indexOf("/microsoft/") != -1) {
			ReportSuiteID = "amdvmicrosoft,amdvsites,amdvglobal";
		} else if (cvURL.indexOf("/game/") != -1) {
			ReportSuiteID = "amdvgame,amdvsites,amdvglobal";
		} else if (cvURL.indexOf("/shop-amd/") != -1) {
			ReportSuiteID = "amdvshop,amdvsites,amdvglobal";
		} else if (cvURL.indexOf("/underground/") != -1) {
			ReportSuiteID = "amdvunderground,amdvsites,amdvglobal";
		} else if (cvURL.indexOf("/vision/") != -1) {
			ReportSuiteID = "amdvvision,amdvsites,amdvglobal";
		} else if (cvURL.indexOf("/business/") != -1) {
			ReportSuiteID = "amdvbusiness,amdvsites,amdvglobal";
		} else if (cvURL.indexOf("/fusion/") != -1) {
			ReportSuiteID = "amdvfusion,amdvsites,amdvglobal";
		} else {
			ReportSuiteID = "amdvsites,amdvglobal";
		}
	} else if (cvHostName == "blogs.amd.com") {
		if (cvURL.indexOf("/developer") != -1) {
			ReportSuiteID = "amdvdev,amdvblogs,amdvglobal";
		} else {
			ReportSuiteID = "amdvblogs,amdvglobal";
		}
	} else if (cvHostName == "developer.amd.com" || cvHostName == "media.amddevcentral.com" || cvHostName == "download-developer.amd.com") {
		ReportSuiteID = "amdvdev,amdvglobal";
	} else if (cvHostName == "shop.amd.com" || cvHostName == "wheretobuy.amd.com") {
		if (cvURL.indexOf('wheretobuy.amd.com/game') != -1) {
			ReportSuiteID = "amdvgame,amdvglobal";
		} else {
			ReportSuiteID = "amdvshop,amdvglobal";
		}
	} else if (cvHostName == "forums.amd.com") {
		if (cvURL.indexOf("forums.amd.com/devforum") != -1) {
			ReportSuiteID = "amdvdev,amdvforums,amdvglobal";
		} else if (cvURL.indexOf("forums.amd.com/devblog") != -1) {
			ReportSuiteID = "amdvdev,amdvblogs,amdvforums,amdvglobal";
		} else if (cvURL.indexOf("forums.amd.com/forum") != -1) {
			if (typeof(cvIsDevforum) !== 'undefined') {
				if (cvIsDevforum == "yes") {
					ReportSuiteID = "amdvdev,amdvforums,amdvglobal";
				}
			} else {
				ReportSuiteID = "amdvforums,amdvglobal";
			}
		} else if (cvURL.indexOf("forums.amd.com/game") != -1) {
			ReportSuiteID = "amdvgame,amdvforums,amdvglobal";
		} else {
			ReportSuiteID = "amdvforums,amdvglobal";
		}
	} else if (cvHostName == "www.amd-site.com") {
		ReportSuiteID = "amdvglobal";
	} else if (cvHostName == "amd.com.cn" || cvHostName == "www.amd.com.cn") {
		ReportSuiteID = "amdvglobal";
	} else if (cvHostName == "phx.corporate-ir.net" || cvHostName == "ir.amd.com") {
		ReportSuiteID = "amdvglobal";
	} else if (cvHostName == "web.amd.com") {
		if (cvURL.indexOf("/underground/generator") != -1) {
			ReportSuiteID = "amdvcollateral,amdvglobal";
		} else {
			ReportSuiteID = "amdvglobal";
		}
	} else if (cvHostName == "retailads.amd.com") {
		ReportSuiteID = "amdvretailads,amdvglobal";
	} else if (cvHostName == "products.amd.com") {
		ReportSuiteID = "amdvproducts,amdvglobal";
	} else if (cvHostName == "search.amd.com") {
		ReportSuiteID = "amdvother02,amdvglobal";
	} else if (cvHostName == "cmp.amd.com") {
		ReportSuiteID = "amdvcmp01";
	} else if (cvHostName == "shop-qa.amd.com" || cvHostName == "shop-auth.amd.com") {
		ReportSuiteID = "amdvtest-fd";
	} else {
		ReportSuiteID = "amdvother";
	}
	
	/* Adding AMD Regional Accounts */
	if (cvURL.indexOf("/cn/") != -1) {
		ReportSuiteID = "amdvregions-cn," + ReportSuiteID;	// AMD China
	} else if (cvURL.indexOf("/jp/") != -1) {
		ReportSuiteID = "amdvregions-jp," + ReportSuiteID;	// AMD Japan
	} else if (cvURL.indexOf("/kr/") != -1) {
		ReportSuiteID = "amdvregions-kr," + ReportSuiteID;	// AMD Korea
	} else if (cvURL.indexOf("/tw/") != -1) {
		ReportSuiteID = "amdvregions-tw," + ReportSuiteID;	// AMD Taiwan
	} else if (cvURL.indexOf("/sg/") != -1) {
		ReportSuiteID = "amdvregions-sg," + ReportSuiteID;	// AMD Singapore
	} else if (cvURL.indexOf("/au/") != -1) {
		ReportSuiteID = "amdvregions-au," + ReportSuiteID;	// AMD Australia
	} else if (cvURL.indexOf("/my/") != -1) {
		ReportSuiteID = "amdvregions-my," + ReportSuiteID;	// AMD Malaysia
	} else if (cvURL.indexOf("/in/") != -1) {
		ReportSuiteID = "amdvregions-in," + ReportSuiteID;	// AMD Indonesia
	} else if (cvURL.indexOf("/de/") != -1) {
		ReportSuiteID = "amdvregions-de," + ReportSuiteID;	// AMD Germany
	}

	ReportSuiteID = ReportSuiteID.toLowerCase();
	return ReportSuiteID;
}

/* Custom Function for Referrer Tracking */
function cfReferrer (cvReferrer) {
	cvReferrer = unescape(cvReferrer.toLowerCase());
	if (cvReferrer && (cfPageName(cvReferrer) != s.pageName)) {
		s.prop23 = cfUtility(cvReferrer,'server');	// Referring Domain
		s.referrer = s.eVar23 = cvReferrer;	// Referring URL
	}
}

/* Custom Function for Link Tracking */
function cfLnkTrack (o,ReportSuiteID_Links,ReportSuiteID) {
	if (o.tagName=='A') {
		var cvLinkType='Link|A';
	} else if (typeof o.parentNode != 'undefined') {
		if (o.tagName=='IMG' && o.parentNode.tagName=='A') {
			var cvLinkType='Link|IMG';
		}
		if (o.tagName=='SPAN' && o.parentNode.tagName=='A') {
			var cvLinkType='Link|Span';
		}
	}
	if (cvLinkType) {
		if (ReportSuiteID_Links && ReportSuiteID_Links != ReportSuiteID) s.sa(ReportSuiteID_Links); // Change the link tracking report suite to ReportSuiteID_Links 
		if (cvLinkType=='Link|A') {
			var Destination_URL_wParam = unescape(o.href.toLowerCase());
			var Destination_LID = unescape(o.innerHTML);
			var Destination_Name = unescape(o.name);
		} else if (cvLinkType=='Link|IMG') {
			var Destination_URL_wParam = unescape(o.parentNode.href.toLowerCase());
			var Destination_LID = unescape(o.src);
			var Destination_Name = unescape(o.parentNode.name);
		} else if (cvLinkType=='Link|Span') {
			var Destination_URL_wParam = unescape(o.parentNode.href.toLowerCase());
			var Destination_LID = unescape(removeHTMLTags(o.parentNode.innerHTML));
			var Destination_Name = unescape(removeHTMLTags(o.parentNode.name));
		}
		var Destination_Server = cfUtility(Destination_URL_wParam,"server");
		var Destination_Domain = cfUtility(Destination_URL_wParam,"domain");	
		Destination_URL_wParam = cfClean(Destination_URL_wParam);	
		Destination_URL = Destination_URL_wParam.split("?")[0];
		var Destination_LPOS; var cvIsThisADownload = 0;
		if (Destination_Name) {
			Destination_Name = Destination_Name.replace("?","&");
			var Destination_Name_Split = Destination_Name.split("&");
			for (var i = 0; i < Destination_Name_Split.length; i = i + 1) {
				if (Destination_Name_Split[i].toLowerCase().indexOf("lid=") != -1) {
					Destination_LID = Destination_Name_Split[i].substring(4, Destination_Name_Split[i].length); // Extract LID (Link ID) from name="&lid="
					if (o.tagName=='IMG' && o.parentNode.tagName=='A') {
						Destination_LID = Destination_LID + " | " + cfRight(unescape(o.src),97-Destination_LID.length);
					}
				}
				if (Destination_Name_Split[i].toLowerCase().indexOf("lpos=") != -1) Destination_LPOS = Destination_Name_Split[i].substring(5, Destination_Name_Split[i].length); // Extract LPOS (Link Position) from name="&lpos="
			}
		}
		if (cvDownloadExtentions.indexOf(cfUtility(Destination_URL,"ext")) != -1 && cvDownloadExtentions.indexOf(cfUtility(Destination_URL,"ext")) != 0) cvIsThisADownload = 1;
		Destination_LID = removeHTMLTags(Destination_LID);

		/* Custom Link, Exit Link, Download Link */
		if (cvAMDWebProperties.indexOf(Destination_Domain) != -1 && cvIsThisADownload != 1) {
			s.linkType = "o"; // Internal Links
		} else if (cvAMDWebProperties.indexOf(Destination_Domain) != -1 && cvIsThisADownload == 1) {
			s.linkType = "d"; // Download Links
		} else {
			s.linkType = "e"; // External Links
		}
		s.linkName = Destination_LID; s.linkURL = Destination_URL;

		/* Link Tracking using Custom Props */
		if (ReportSuiteID && ReportSuiteID != '') s.prop22 = ReportSuiteID; // Clicks by Report Suites
		if (s.pageName && s.pageName != '') s.prop12 = s.pageName; // Clicks by Page URL
		if (Destination_LID && Destination_LID != '') s.prop13 = Destination_LID; // Clicks by Link ID
		if (Destination_URL && Destination_URL != '') s.prop14 = Destination_URL; // Clicks by Link URL - No Params
		if (Destination_URL_wParam && Destination_URL_wParam != '') s.eVar6 = Destination_URL_wParam; // Clicks by Link Full URL - With Params
		if (Destination_LPOS && Destination_LPOS != '') {
			Destination_LPOS = removeHTMLTags(Destination_LPOS);
			s.prop15 = Destination_LPOS; // Clicks by Link Position
			if (Destination_LPOS.indexOf("InternalSearchRank:") != -1) s.events = s.apl(s.events,"event13",",",1); // Custom Event for CTR on Search Results
		}
		s.events = s.apl(s.events,"event6",",", 1); // Link Clicks Event

		/* Download Tracking */
		if (cvIsThisADownload == 1) {
			if (Destination_LID.indexOf('akamai.net') != -1 && Destination_LID.indexOf('/drivers/') != -1) {
				s.events = s.apl(s.events, "event15",",", 1);	// Driver Downloads Event (event15)
			} else {
				s.events = s.apl(s.events,"event4",",", 1);		// Asset Downloads Event (event4)
			}
		}		
		// Custom Shop Now Link Tracking on Shop.amd.com
		if ((cfUtility(unescape(document.URL.toLowerCase()),'server') == "shop.amd.com" || cfUtility(unescape(document.URL.toLowerCase()),'server') == "shop-qa.amd.com") && Destination_LPOS == "ShopNow") {
			s.linkTrackVars = s.linkTrackVars + ",prop30,prop31,prop32,prop33,eVar30,eVar31,eVar32,eVar33,eVar34,products";
			s.linkTrackEvents = s.linkTrackEvents + ",event9,purchase";
			cvShop_LinkID = Destination_LID.split("|");
			s.prop30 = s.eVar30 = cvShop_LinkID[1];   // PropertyID
			s.prop31 = s.eVar31 = cvShop_LinkID[2];   // RetailerID
			s.prop32 = s.eVar32 = cvShop_LinkID[3];   // ProductID
			s.prop33 = s.eVar33 = cvShop_LinkID[4].replace(',','.');   // Price
			s.eVar34 = cvShop_LinkID[0] + "|" + s.prop30 + "|" + s.prop31 + "|" + s.prop32 + "|" + s.prop33;
			s.events = s.apl(s.events,"event9",",", 1);   // Shop Now Event

			// s.Products custom coding
			s.events = s.apl(s.events,"purchase",",", 1);   // Shop Now Event
			s.products = ";" + cvShop_LinkID[3] + ";1;" + cvShop_LinkID[4].replace(',','.');
		}
	}
}
	
function cfPageName(cvURL,cvParamInPageName,cvParamToInclude) {
	// if cvParamInPageName = 1, it will include parameters in the s.pageName
	if (cvParamInPageName == 1) {
	    if (cvParamToInclude != "") {
	        var cvParam_Modified = "?";
	        cvParam_Split = cvParamToInclude.toLowerCase().split(",");
	        for (var i = 0; i < cvParam_Split.length; i = i + 1) {
				if (cfGetQParam(cvURL,cvParam_Split[i])) cvParam_Modified = cvParam_Modified + cvParam_Split[i] + "=" + cfGetQParam(cvURL,cvParam_Split[i]) + "&";
	        }
	        cvParam_Modified = cvParam_Modified.substring(0, cvParam_Modified.length - 1);
	        var cvPageName = cfUtility(cvURL,'channel') + cfUtility(cvURL,'filename') + cvParam_Modified;
	    } else {
	        var cvPageName = cfUtility(cvURL,'channel') + cfUtility(cvURL,'filenameparameters');
	    }
	} else {
	    var cvPageName = cfUtility(cvURL,'channel') + cfUtility(cvURL,'filename');
	}
	/* ----- IF PageName is Over 100 Chars ----- */
	if (cvPageName.length > 100) cvPageName = "/" + cfUtility(cvURL,'server') + "/..." + cfRight(cvPageName.replace(cfUtility(cvURL,'server') + "/", ""), 100 - (cfUtility(cvURL,'server').length + 5));
	return cvPageName;
}

function cfUtility(cvURL,cvAction) {
	cvURL = unescape(cvURL.toLowerCase());
	switch (cvAction) {
	case "server":	// Example: sites.amd.com, www.hp.com
		var a = cvURL.split(/\/+/g)[1];
		if (typeof(a) !== 'undefined') {
			var b = a.split("."); if (b.length == 2) { var c = 'www.' + a; } else { c = a; } TheResult = c;
		} else {
			TheResult = "";
		}
		break;
	case "domain":	// Example: amd.com, hp.com
		var a = cfUtility(cvURL,"server")
		if (typeof(a) !== 'undefined') {
			var b  = a.split("."); b_len = b.length;
			var TheResult = String(b[b_len - 2] + '.' + b[b_len - 1]);
		} else {
			TheResult = "";
		}
		break;
	case "channel":
		var a = cvURL.split("?")[0]; a = a.replace("http://","/"); a = a.replace("https://","/");
		var b = a.substring(a.lastIndexOf('/')+1); a = a.replace(b,"");
		a = a.replace(cvURL.split(/\/+/g)[1],cfUtility(cvURL,"server"));
		TheResult = a;
		break;
	case "filename":
		var a = cvURL.split("?")[0]; var b = a.substring(a.lastIndexOf('/')+1);
		TheResult = b;
		break;
	case "filenameparameters":
		var cvParamPos = cvURL.indexOf("?"); if (cvParamPos != -1) { var cvParam = cvURL.substring(cvParamPos); } else { var cvParam = ""; }
		TheResult = cfUtility(cvURL,"filename") + cvParam;
		break;		
	case "se":
		var cvReferrer_Server = cvURL.split(/\/+/g)[1]; // www.google.ca, www.yahoo.com	
		var cvReferrer_Server_Splitted = cvReferrer_Server.split("."); // google.ca, yahoo.ca
		cvReferrer_Server_Splitted_Length = cvReferrer_Server_Splitted.length;
		var TheResult = String('.' + cvReferrer_Server_Splitted[cvReferrer_Server_Splitted_Length - 2] + '.');
		break;
	case "ext":
		var TheResult = cvURL.substring(cvURL.lastIndexOf('/') + 1, cvURL.length).substring(cvURL.substring(cvURL.lastIndexOf('/') + 1, cvURL.length).lastIndexOf('.') + 1, cvURL.substring(cvURL.lastIndexOf('/') + 1, cvURL.length).length);
		break;
	default:
		var TheResult = "";
	}
	return TheResult;
}

function cfGetQParam(a, b) {	// Custom Function to Get Query Parameters
	var c = a.indexOf('?'); var d = a.indexOf('#');
	if (c < 0) { return ""; }
	var e = a.substr(c + 1);
	if (d > 0) { e = a.substring(c + 1, d); }
	var f = e.split('&');
	for (var i = 0; i < f.length; i++) {
		var g = f[i].split('=');
		g[0] = unescape(g[0]);
		if (g[0] == b) {
			g[1] = unescape(g[1]);
			if (g[1].indexOf('"') > -1) {
				var h = /"/g;
				g[1] = g[1].replace(h, '\\"')
			}
			if (g[1].indexOf('+') > -1) {
				var j = /\+/g;
				g[1] = g[1].replace(j, ' ')
			}
			return g[1]
		}
	}
	return ""
}

function cfLeft(str, n){
	if (n <= 0) { return ""; } else if (n > String(str).length) { return str; } else { return String(str).substring(0,n); }
}

function cfRight(str, n){
    if (n <= 0) { return ""; } else if (n > String(str).length) { return str; } else { var iLen = String(str).length; return String(str).substring(iLen, iLen - n); }
}

function cfClean(cvURL) {
	if (cvURL) {
		cvURL = cvURL.replace("http://","/");
		cvURL = cvURL.replace("https://","/");
	}
	return cvURL;
}

function removeHTMLTags(strInputCode) {
	if (strInputCode) {
		strInputCode = strInputCode.replace(/&(lt|gt);/g, function (strMatch, p1) {
			return (p1 == "lt") ? "<" : ">";
		});
		var strTagStrippedText = strInputCode.replace(/<\/?[^>]+(>|$)/g, "");
		return strTagStrippedText;
	}
}

// Flash Player Version Detection - Rev 1.6
// Detect Client Browser type
// Copyright(c) 2005-2006 Adobe Macromedia Software, LLC. All rights reserved.
var isIE  = (navigator.appVersion.indexOf("MSIE") != -1) ? true : false;
var isWin = (navigator.appVersion.toLowerCase().indexOf("win") != -1) ? true : false;
var isOpera = (navigator.userAgent.indexOf("Opera") != -1) ? true : false;

function ControlVersion()
{
	var version;
	var axo;
	var e;

	// NOTE : new ActiveXObject(strFoo) throws an exception if strFoo isn't in the registry

	try {
		// version will be set for 7.X or greater players
		axo = new ActiveXObject("ShockwaveFlash.ShockwaveFlash.7");
		version = axo.GetVariable("$version");
	} catch (e) {
	}

	if (!version)
	{
		try {
			// version will be set for 6.X players only
			axo = new ActiveXObject("ShockwaveFlash.ShockwaveFlash.6");
			
			// installed player is some revision of 6.0
			// GetVariable("$version") crashes for versions 6.0.22 through 6.0.29,
			// so we have to be careful. 
			
			// default to the first public version
			version = "WIN 6,0,21,0";

			// throws if AllowScripAccess does not exist (introduced in 6.0r47)		
			axo.AllowScriptAccess = "always";

			// safe to call for 6.0r47 or greater
			version = axo.GetVariable("$version");

		} catch (e) {
		}
	}

	if (!version)
	{
		try {
			// version will be set for 4.X or 5.X player
			axo = new ActiveXObject("ShockwaveFlash.ShockwaveFlash.3");
			version = axo.GetVariable("$version");
		} catch (e) {
		}
	}

	if (!version)
	{
		try {
			// version will be set for 3.X player
			axo = new ActiveXObject("ShockwaveFlash.ShockwaveFlash.3");
			version = "WIN 3,0,18,0";
		} catch (e) {
		}
	}

	if (!version)
	{
		try {
			// version will be set for 2.X player
			axo = new ActiveXObject("ShockwaveFlash.ShockwaveFlash");
			version = "WIN 2,0,0,11";
		} catch (e) {
			version = -1;
		}
	}
	
	return version;
}

// JavaScript helper required to detect Flash Player PlugIn version information
function GetSwfVer(){
	// NS/Opera version >= 3 check for Flash plugin in plugin array
	var flashVer = -1;
	
	if (navigator.plugins != null && navigator.plugins.length > 0) {
		if (navigator.plugins["Shockwave Flash 2.0"] || navigator.plugins["Shockwave Flash"]) {
			var swVer2 = navigator.plugins["Shockwave Flash 2.0"] ? " 2.0" : "";
			var flashDescription = navigator.plugins["Shockwave Flash" + swVer2].description;
			var descArray = flashDescription.split(" ");
			var tempArrayMajor = descArray[2].split(".");			
			var versionMajor = tempArrayMajor[0];
			var versionMinor = tempArrayMajor[1];
			var versionRevision = descArray[3];
			if (versionRevision == "") {
				versionRevision = descArray[4];
			}
			if (versionRevision[0] == "d") {
				versionRevision = versionRevision.substring(1);
			} else if (versionRevision[0] == "r") {
				versionRevision = versionRevision.substring(1);
				if (versionRevision.indexOf("d") > 0) {
					versionRevision = versionRevision.substring(0, versionRevision.indexOf("d"));
				}
			}
			var flashVer = versionMajor + "." + versionMinor + "." + versionRevision;
		}
	}
	// MSN/WebTV 2.6 supports Flash 4
	else if (navigator.userAgent.toLowerCase().indexOf("webtv/2.6") != -1) flashVer = 4;
	// WebTV 2.5 supports Flash 3
	else if (navigator.userAgent.toLowerCase().indexOf("webtv/2.5") != -1) flashVer = 3;
	// older WebTV supports Flash 2
	else if (navigator.userAgent.toLowerCase().indexOf("webtv") != -1) flashVer = 2;
	else if ( isIE && isWin && !isOpera ) {
		flashVer = ControlVersion();
	}	
	return flashVer;
}

// When called with reqMajorVer, reqMinorVer, reqRevision returns true if that version or greater is available
function DetectFlashVer(reqMajorVer, reqMinorVer, reqRevision)
{
	versionStr = GetSwfVer();
	if (versionStr == -1 ) {
		return false;
	} else if (versionStr != 0) {
		if(isIE && isWin && !isOpera) {
			// Given "WIN 2,0,0,11"
			tempArray         = versionStr.split(" "); 	// ["WIN", "2,0,0,11"]
			tempString        = tempArray[1];			// "2,0,0,11"
			versionArray      = tempString.split(",");	// ['2', '0', '0', '11']
		} else {
			versionArray      = versionStr.split(".");
		}
		var versionMajor      = versionArray[0];
		var versionMinor      = versionArray[1];
		var versionRevision   = versionArray[2];

        	// is the major.revision >= requested major.revision AND the minor version >= requested minor
		if (versionMajor > parseFloat(reqMajorVer)) {
			return true;
		} else if (versionMajor == parseFloat(reqMajorVer)) {
			if (versionMinor > parseFloat(reqMinorVer))
				return true;
			else if (versionMinor == parseFloat(reqMinorVer)) {
				if (versionRevision >= parseFloat(reqRevision))
					return true;
			}
		}
		return false;
	}
}

function AC_AddExtension(src, ext)
{
  if (src.indexOf('?') != -1)
    return src.replace(/\?/, ext+'?'); 
  else
    return src + ext;
}

function AC_Generateobj(objAttrs, params, embedAttrs) 
{ 
    var str = '';
    if (isIE && isWin && !isOpera)
    {
  		str += '<object ';
  		for (var i in objAttrs)
  			str += i + '="' + objAttrs[i] + '" ';
  		for (var i in params)
  			str += '><param name="' + i + '" value="' + params[i] + '" /> ';
  		str += '></object>';
    } else {
  		str += '<embed ';
  		for (var i in embedAttrs)
  			str += i + '="' + embedAttrs[i] + '" ';
  		str += '> </embed>';
    }

    document.write(str);
}

function AC_FL_RunContent(){
  var ret = 
    AC_GetArgs
    (  arguments, ".swf", "movie", "clsid:d27cdb6e-ae6d-11cf-96b8-444553540000"
     , "application/x-shockwave-flash"
    );
  AC_Generateobj(ret.objAttrs, ret.params, ret.embedAttrs);
}

function AC_GetArgs(args, ext, srcParamName, classid, mimeType){
  var ret = new Object();
  ret.embedAttrs = new Object();
  ret.params = new Object();
  ret.objAttrs = new Object();
  for (var i=0; i < args.length; i=i+2){
    var currArg = args[i].toLowerCase();    

    switch (currArg){	
      case "classid":
        break;
      case "pluginspage":
        ret.embedAttrs[args[i]] = args[i+1];
        break;
      case "src":
      case "movie":	
        args[i+1] = AC_AddExtension(args[i+1], ext);
        ret.embedAttrs["src"] = args[i+1];
        ret.params[srcParamName] = args[i+1];
        break;
      case "onafterupdate":
      case "onbeforeupdate":
      case "onblur":
      case "oncellchange":
      case "onclick":
      case "ondblClick":
      case "ondrag":
      case "ondragend":
      case "ondragenter":
      case "ondragleave":
      case "ondragover":
      case "ondrop":
      case "onfinish":
      case "onfocus":
      case "onhelp":
      case "onmousedown":
      case "onmouseup":
      case "onmouseover":
      case "onmousemove":
      case "onmouseout":
      case "onkeypress":
      case "onkeydown":
      case "onkeyup":
      case "onload":
      case "onlosecapture":
      case "onpropertychange":
      case "onreadystatechange":
      case "onrowsdelete":
      case "onrowenter":
      case "onrowexit":
      case "onrowsinserted":
      case "onstart":
      case "onscroll":
      case "onbeforeeditfocus":
      case "onactivate":
      case "onbeforedeactivate":
      case "ondeactivate":
      case "type":
      case "codebase":
        ret.objAttrs[args[i]] = args[i+1];
        break;
      case "id":
      case "width":
      case "height":
      case "align":
      case "vspace": 
      case "hspace":
      case "class":
      case "title":
      case "accesskey":
      case "name":
      case "tabindex":
        ret.embedAttrs[args[i]] = ret.objAttrs[args[i]] = args[i+1];
        break;
      default:
        ret.embedAttrs[args[i]] = ret.params[args[i]] = args[i+1];
    }
  }
  ret.objAttrs["classid"] = classid;
  if (mimeType) ret.embedAttrs["type"] = mimeType;
  return ret;
}